local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ModCallbackCustom = require("enums.ModCallbackCustom")
local ModCallbackCustom = ____ModCallbackCustom.ModCallbackCustom
local ____render = require("functions.render")
local renderTextOnEntity = ____render.renderTextOnEntity
local ____Feature = require("classes.private.Feature")
local Feature = ____Feature.Feature
local ____utils = require("classes.features.other.debugDisplay.utils")
local defaultEntityDisplayCallback = ____utils.defaultEntityDisplayCallback
____exports.DebugDisplaySlot = __TS__Class()
local DebugDisplaySlot = ____exports.DebugDisplaySlot
DebugDisplaySlot.name = "DebugDisplaySlot"
__TS__ClassExtends(DebugDisplaySlot, Feature)
function DebugDisplaySlot.prototype.____constructor(self)
    Feature.prototype.____constructor(self)
    self.textCallback = defaultEntityDisplayCallback
    self.postSlotRender = function(____, slot)
        local text = self:textCallback(slot)
        renderTextOnEntity(nil, slot, text)
    end
    self.customCallbacksUsed = {{ModCallbackCustom.POST_SLOT_RENDER, self.postSlotRender}}
end
return ____exports
